function [P,itercount] = l2l1_resection(xm, Xlist, optim_bound, beta, maxiter)
fprintf('\n\n******** Starting (L2,L1) Resectioning Algorithm ********\n\n');
nbrpoints = size(Xlist,2);
nbrimages = 1;

xm = [xm; ones(1,nbrpoints)];
Xlist = [Xlist; ones(1,nbrpoints)];

m = size(xm,1);
n = size(Xlist,1);

alphaval = 0.5;

opts.normalize = 1;
opts.autoinit = 1;
opts.onlyn = 1;
opts.prop = 1;
opts.maxdepth = 10;

[P, itercount] = branchresect(xm, Xlist, m, n, optim_bound, beta, alphaval, maxiter, opts);

fprintf('******** Ending (L2,L1) Resectioning Algorithm ********\n\n');
