function [U,itercount] = l2l1_triangulation(u, P, optim_bound, beta, maxiter)
  
	fprintf('\n\n******** Starting (L2,L1) Triangulation Algorithm ********\n\n');
	
  alphaval = 0.5;
  
  opts.autoinit = 1;
  opts.prop = 1;
  opts.camnorm = 1;
  opts.onlyn = 0;
  opts.maxdepth = 1000;
    
  nbrimages = length(P);
  nbrpoints = 1;
  
  [U,itercount] = branchtriang(u, P, nbrimages, nbrpoints, alphaval, beta, optim_bound, opts, maxiter,opts.maxdepth);
	fprintf('******** Ending (L2,L1) Triangulation Algorithm ********\n\n');
  

  